Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Module compiled with Swift 5.0.1 cannot be imported by the Swift 5.1 compiler #46

Closed
karthironald opened this issue Jul 20, 2019 · 7 comments

Comments

@karthironald
Copy link

commented Jul 20, 2019

Hi,

I'm using latest EstimoteProximitySDK version 1.4.1 and Xcode 11 beta (11M336w). When I build my project I'm getting Module compiled with Swift 5.0.1 cannot be imported by the Swift 5.1 compiler error. Can anyone please help? When can we expect Swift 5.1 update? Please let me know if i miss anything.

Thanks!

@karthironald

This comment has been minimized.

Copy link
Author

commented Jul 30, 2019

Any updates in this?

@dandreikiv

This comment has been minimized.

Copy link

commented Jul 30, 2019

I have the same issue.

@daningamells

This comment has been minimized.

Copy link

commented Aug 14, 2019

Same issue :-(

@heypiotr

This comment has been minimized.

Copy link
Contributor

commented Sep 3, 2019

Thanks for your reports all, and sorry for the long wait! ^_^

We should have an update for Swift 5.1 very soon, hopefully by the end of this week.

The good news is, with Module Stability in Swift 5.1, this should be the last time you see an issue like this. Module Stability means that going forward, you can take a Swift 5.1 library (e.g., the next version of the Proximity SDK), and use it with any future Swift compiler (:

@karthironald

This comment has been minimized.

Copy link
Author

commented Sep 3, 2019

Looking for updated version soon! Thanks for the update.

@heypiotr

This comment has been minimized.

Copy link
Contributor

commented Sep 5, 2019

1.5.0-beta1 is now available, in this repo and on CocoaPods, let us know if it works for you.

The final 1.5.0 will come after Xcode 11 releases as stable.

@heypiotr heypiotr closed this Sep 5, 2019

@karthironald

This comment has been minimized.

Copy link
Author

commented Sep 5, 2019

Will check and update you! Thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.